apiVersion: maistra.io/v1
kind: ServiceMeshControlPlane
metadata:
  creationTimestamp: "2020-06-25T16:34:02Z"
  finalizers:
  - maistra.io/istio-operator
  generation: 1
  name: basic-install
  namespace: istio-system
  resourceVersion: "591711"
  selfLink: /apis/maistra.io/v1/namespaces/istio-system/servicemeshcontrolplanes/basic-install
  uid: 6c3064ac-735d-46e3-a999-a2da7dda6e23
spec:
  istio:
    gateways:
      istio-egressgateway:
        autoscaleEnabled: false
      istio-ingressgateway:
        autoscaleEnabled: false
        ior_enabled: false
    grafana:
      enabled: true
    kiali:
      enabled: true
    mixer:
      policy:
        autoscaleEnabled: false
      telemetry:
        autoscaleEnabled: false
    pilot:
      autoscaleEnabled: false
      traceSampling: 100
    tracing:
      enabled: true
      jaeger:
        elasticsearch:
          nodeCount: 1
          resources:
            limits:
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 512Mi
        template: production-elasticsearch
  template: default
  version: v1.1
status:
  annotations:
    readyComponentCount: 9/9
  components:
  - conditions:
    - lastTransitionTime: "2020-06-25T16:34:05Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:34:05Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: istio
  - conditions:
    - lastTransitionTime: "2020-06-25T16:34:05Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:34:05Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: security
  - conditions:
    - lastTransitionTime: "2020-06-25T16:34:21Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:34:21Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: prometheus
  - conditions:
    - lastTransitionTime: "2020-06-25T16:34:52Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:34:52Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: tracing
  - conditions:
    - lastTransitionTime: "2020-06-25T16:34:52Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:34:52Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: galley
  - conditions:
    - lastTransitionTime: "2020-06-25T16:35:11Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:35:11Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: mixer
  - conditions:
    - lastTransitionTime: "2020-06-25T16:35:35Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:35:35Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: pilot
  - conditions:
    - lastTransitionTime: "2020-06-25T16:35:35Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:35:35Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: gateways
  - conditions:
    - lastTransitionTime: "2020-06-25T16:35:55Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:35:55Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: sidecarInjectorWebhook
  - conditions:
    - lastTransitionTime: "2020-06-25T16:36:12Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:36:12Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: grafana
  - conditions:
    - lastTransitionTime: "2020-06-25T16:36:35Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Reconciled
    - lastTransitionTime: "2020-06-25T16:36:35Z"
      message: Successfully installed all mesh components
      reason: InstallSuccessful
      status: "True"
      type: Installed
    resource: kiali
  conditions:
  - lastTransitionTime: "2020-06-25T16:36:55Z"
    message: Successfully installed all mesh components
    reason: InstallSuccessful
    status: "True"
    type: Installed
  - lastTransitionTime: "2020-06-25T16:36:55Z"
    message: Successfully installed version 1.1.3-1
    reason: InstallSuccessful
    status: "True"
    type: Reconciled
  - lastTransitionTime: "2020-06-25T16:36:55Z"
    message: All component deployments are Available
    reason: ComponentsReady
    status: "True"
    type: Ready
  lastAppliedConfiguration:
    istio:
      galley:
        image: registry.redhat.io/openshift-service-mesh/galley-rhel8@sha256:d2d095b1b752823566506408ea6c783e0a3126df72dfb18b86f90606571a7144
        resources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
      gateways:
        istio-egressgateway:
          autoscaleEnabled: false
          enabled: true
          resources:
            limits: null
            requests:
              cpu: 10m
              memory: 128Mi
        istio-ingressgateway:
          autoscaleEnabled: false
          enabled: true
          ior_enabled: false
          ior_image: registry.redhat.io/openshift-service-mesh/ior-rhel8@sha256:70bbe9566302e267f9b4e02409cd3a017fb0704c63ec8d22833cf6ea6254b047
          resources:
            limits: null
            requests:
              cpu: 10m
              memory: 128Mi
          type: ClusterIP
      global:
        defaultPodDisruptionBudget:
          enabled: false
        defaultResources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
        hub: registry.redhat.io/openshift-service-mesh
        oauthproxy:
          hub: registry.redhat.io/openshift4
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:681f12ee366c23d428f7be187a10822adc0d24c206e1a5420b739d98355b5eec
          imagePullPolicy: IfNotPresent
          tag: 4.2
        operatorNamespace: openshift-operators
        proxy:
          autoInject: disabled
          dnsRefreshRate: 300s
          image: registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:96d9f45b773c9367880a6bfea263d99a691006514732ef8f8e40f79c98603c1a
          resources:
            limits: null
            requests:
              cpu: 10m
              memory: 128Mi
        proxy_init:
          image: registry.redhat.io/openshift-service-mesh/proxy-init-rhel7@sha256:3dd1e571bba4a0db27a0a4ee0a1315f4b2df91ee192791312c598a05107414e3
        tag: 1.1.3
      grafana:
        enabled: true
        image: registry.redhat.io/openshift-service-mesh/grafana-rhel8@sha256:c0d7b78cbfa3bcd023f06a7403da7e7284e185dc0097e9432312444df47a93c5
        ingress:
          enabled: true
        service:
          annotations:
            service.alpha.openshift.io/serving-cert-secret-name: grafana-tls
      istio_cni:
        enabled: true
        istio_cni_network: v1-1-istio-cni
        repair:
          enabled: false
      kiali:
        dashboard:
          viewOnlyMode: false
        enabled: true
        ingress:
          enabled: true
      mixer:
        env:
          GODEBUG: null
        image: registry.redhat.io/openshift-service-mesh/mixer-rhel8@sha256:5160a7cb00a0942ab1df0b5684d4364e1380984bc5342eb4f6c654906eeb3acd
        policy:
          autoscaleEnabled: false
        telemetry:
          autoscaleEnabled: false
          resources:
            limits: null
            requests:
              cpu: 10m
              memory: 128Mi
      pilot:
        autoscaleEnabled: false
        env:
          GODEBUG: null
        image: registry.redhat.io/openshift-service-mesh/pilot-rhel8@sha256:dc8dbd48401e7aa01ad38d881d8edfcf527f2a74d7058887191e137df7bff838
        resources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
        traceSampling: 100
      prometheus:
        image: registry.redhat.io/openshift-service-mesh/prometheus-rhel8@sha256:6773d9a72465724c71f2ff988c37f42cc8ebddb0678f75e4d3e953a1e1e81c76
        ingress:
          enabled: true
        resources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
        service:
          annotations:
            service.alpha.openshift.io/serving-cert-secret-name: prometheus-tls
      security:
        image: registry.redhat.io/openshift-service-mesh/citadel-rhel8@sha256:76e95d88e3c07aa5c0b6bc8fd09fb51642e736415c01e0c94789dc4db51ad40f
        resources:
          limits: null
          requests:
            cpu: 10m
            memory: 128Mi
      sidecarInjectorWebhook:
        enableNamespacesByDefault: true
        image: registry.redhat.io/openshift-service-mesh/sidecar-injector-rhel8@sha256:2d7598189788dd5c9743d1878409da21c026fd312236f94fe7823f94a698c723
      tracing:
        enabled: true
        ingress:
          enabled: true
        jaeger:
          elasticsearch:
            nodeCount: 1
            resources:
              limits:
                memory: 1Gi
              requests:
                cpu: 500m
                memory: 512Mi
          template: production-elasticsearch
    template: default
    threeScale:
      hub: registry.redhat.io/openshift-service-mesh
      image: registry.redhat.io/openshift-service-mesh/3scale-istio-adapter-rhel8@sha256:00fb544a95b16c652cc571396679c65d5889b2cfe6f1a0176f560a1678309a35
      tag: 1.0.0
    version: v1.1
  observedGeneration: 1
  reconciledVersion: 1.1.3-1
